//! Web server state
use super::*;
use tokio::{
    sync::{
	RwLock,
    },
};

#[derive(Debug)]
pub struct State
{
    backend: RwLock<server::state::ServerState>,
    settings: settings::Settings,
}

impl State
{
    pub fn new(backend: server::state::ServerState, settings: settings::Settings) -> Self
    {
	Self {
	    backend: RwLock::new(backend),
	    settings,
	}
    }

    pub fn cfg(&self) -> &settings::Settings
    {
	&self.settings
    }
}
